{% extends "navbarbase.html" %}

{% block indexcontent %}
<div class="card">
  <article class="media content-section">
    <div class="media-body">
      <div>
        <h2> {{question.body}}</h2> 
      </div>
    </div>
  </article>
</div>
{%if answers%}
<a href="{{url_for('addanswer',question_id=questionid)}}">write an answer</a>
        {% for answer in answers %}
            <div class="card">
              <article class="media content-section">
                <div class="media-body">
                  <div class="article-metadata">
                      <small class="text-muted">{{ answer.timestamp.strftime('%Y-%m-%d') }}</small>
                  </div>
                  <div>
                    {{answer.body}}
                  </div>
                </div>
              </article>
            </div>
        {% endfor %}
{%else%}
<div class="card">
  <article class="media content-section">
    <div class="media-body">
      <h2><a class="article-title" href="{{url_for('addanswer')}}">No Answer</a></h2>
    </div>
  </article>
</div>
{%endif%}
{% endblock%}
